Bug 61114 - [NEW PORT] databases/fpc-oracle
Summary: [NEW PORT] databases/fpc-oracle
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-09 09:00 UTC by John Merryweather Cooper
Modified: 2004-02-26 14:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Merryweather Cooper 2004-01-09 09:00:32 UTC
	databases/fpc-oracle is one of the base units belonging to
	Free Pascal.  It provides an interface to ORACLE clients.

Fix: 

--------------000304080102030009090800----BrAuH6daKORDTycqvmHWyNdaqbNvhRZQO1IGbYaQq0GOshgs
Content-Type: text/plain; name="new-port-fpc-oracle-1.0.11"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="new-port-fpc-oracle-1.0.11"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	fpc-oracle
#	fpc-oracle/Makefile
#	fpc-oracle/distinfo
#	fpc-oracle/pkg-descr
#	fpc-oracle/pkg-plist
#	fpc-oracle/files
#	fpc-oracle/files/patch-share::src::fpc-1.0.10::packages::base::oracle::Makefile.fpc
#
echo c - fpc-oracle
mkdir -p fpc-oracle > /dev/null 2>&1
echo x - fpc-oracle/Makefile
sed 's/^X//' >fpc-oracle/Makefile << 'END-of-fpc-oracle/Makefile'
X# New ports collection makefile for:	Free Pascal Compiler
X# Date created: 			28 November 2001
X# Whom: 				John Merryweather Cooper et al
X#
X# $FreeBSD: ports/lang/fpc/Makefile,v 1.10 2004/01/07 10:14:04 znerd Exp $
X#
X
XPORTNAME=	oracle
XPORTVERSION=	1.0.10
XCATEGORIES=	databases lang
XMASTER_SITES=	ftp://ftp.freepascal.org/pub/fpc/dist/FreeBSD/ \
X		http://planetmirror.com/pub/fpc/dist/FreeBSD/ \
X		ftp://ftp.jp.freepascal.org/mirror/fpc/dist/FreeBSD/ \
X		ftp://freepascal.stack.nl/pub/fpc/dist/FreeBSD/ \
X		ftp://ftp.no.freepascal.org/pub/fpc/dist/FreeBSD/ \
X		ftp://ftp.us.freepascal.org/pub/fpc/dist/FreeBSD/ \
X		${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	freepascal
XPKGNAMEPREFIX=	fpc-
XDISTNAME=	fpc-${PORTVERSION}.ELF
XEXTRACT_SUFX=	.tar
X
XMAINTAINER=	coop9211@uidaho.edu
XCOMMENT=	Free Pascal interface to PostGreSQL
X
X.include <bsd.port.pre.mk>
X
XORACLE7_LIB=	${LOCALBASE}/oracle7/rdbms/lib
XBUILD_DEPENDS=	ppc386:${PORTSDIR}/lang/fpc \
X		${ORACLE7_LIB}/libnlsrtl3.a:${PORTSDIR}/databases/oracle7-client
XRUN_DEPENDS=	${BUILD_DEPENDS}
X.if ${OSVERSION} >= 500000
XLIB_DEPENDS+=   c.4:${PORTSDIR}/misc/compat4x
X.endif
X.if ${OSVERSION} < 470000
XEXTRACT_DEPENDS=	gtar:${PORTSDIR}/archivers/gtar
XTAR=			${LOCALBASE}/bin/gtar
X.endif
XUSE_GMAKE=	yes
XUSE_REINPLACE=	yes
XONLY_FOR_ARCHS=	i386
X
XPLIST_SUB+=	PORTVERSION=${PORTVERSION}
X
XMAKE_ENV+=	PATH=${LOCALBASE}/bin:$$PATH \
X		FPC=${LOCALBASE}/bin/ppc386 \
X		INSTALL_BASEDIR=${PREFIX}/lib/fpc/${PORTVERSION} \
X		INSTALL_BINDIR=${PREFIX}/bin \
X		GCCLIBDIR=/usr/lib \
X		RELEASE=1
X
Xdo-extract:
X# unpack distribution
X	@${MKDIR} ${WRKSRC}
X	@${TAR} xf ${DISTDIR}/${DISTNAME}.tar --directory ${WRKSRC}
X# unpack sources distribution
X	@${MKDIR} ${WRKSRC}/sources
X	@${TAR} xf ${WRKSRC}/sources.tar --directory ${WRKSRC}/sources
X# further extract base sources
X#
X# postgres sources
X	@${TAR} zxf ${WRKSRC}/sources/unitsoraclesrc.tar.gz \
X		--directory ${WRKSRC}
X
Xpost-patch:
X# change to alter amount of optimization
X	@${FIND} ${WRKSRC}/share/src/fpc-${PORTVERSION} -name \
X		"Makefile*" | ${XARGS} ${REINPLACE_CMD} 's|-OG2p3|-OG2p1|g'
X
X	${REINPLACE_CMD} 's|/usr/local/oracle8cli/lib|${ORACLE7_LIB}|g' \
X		${WRKSRC}/share/src/fpc-${PORTVERSION}/packages/base/oracle/Makefile.fpc
X
Xdo-build:
X	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/packages/base/oracle && \
X		${GMAKE} ${MAKE_ENV} all
X
Xdo-install:
X	cd ${WRKSRC}/share/src/fpc-${PORTVERSION}/packages/base/oracle && \
X		${GMAKE} ${MAKE_ENV} install
X
X.include <bsd.port.post.mk>
END-of-fpc-oracle/Makefile
echo x - fpc-oracle/distinfo
sed 's/^X//' >fpc-oracle/distinfo << 'END-of-fpc-oracle/distinfo'
XMD5 (fpc-1.0.10.ELF.tar) = 6ad56eb115152174683499da3ece7667
END-of-fpc-oracle/distinfo
echo x - fpc-oracle/pkg-descr
sed 's/^X//' >fpc-oracle/pkg-descr << 'END-of-fpc-oracle/pkg-descr'
XOracle is part of the base packages of Free Pascal, a 32-bit
XTurbo Pascal/Delphi compatible compiler.  Oracle provides an
Xinterface to Oracle databases.
X
XWWW: http://www.freepascal.org/
X
X--
XJohn Merryweather Cooper <coop9211@uidaho.edu>
END-of-fpc-oracle/pkg-descr
echo x - fpc-oracle/pkg-plist
sed 's/^X//' >fpc-oracle/pkg-plist << 'END-of-fpc-oracle/pkg-plist'
Xlib/fpc/%%PORTVERSION%%/units/freebsd/oracle/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/freebsd/oracle/oraoci.ppu
X@dirrm lib/fpc/%%PORTVERSION%%/units/freebsd/oracle
X@dirrm lib/fpc/%%PORTVERSION%%/units/freebsd
X@dirrm lib/fpc/%%PORTVERSION%%/units
X@dirrm lib/fpc/%%PORTVERSION%%
X@dirrm lib/fpc
END-of-fpc-oracle/pkg-plist
echo c - fpc-oracle/files
mkdir -p fpc-oracle/files > /dev/null 2>&1
echo x - fpc-oracle/files/patch-share::src::fpc-1.0.10::packages::base::oracle::Makefile.fpc
sed 's/^X//' >fpc-oracle/files/patch-share::src::fpc-1.0.10::packages::base::oracle::Makefile.fpc << 'END-of-fpc-oracle/files/patch-share::src::fpc-1.0.10::packages::base::oracle::Makefile.fpc'
X--- share/src/fpc-1.0.10/packages/base/oracle/Makefile.fpc.bak	Sun Apr  6 07:44:46 2003
X+++ share/src/fpc-1.0.10/packages/base/oracle/Makefile.fpc	Thu Jan  8 22:16:08 2004
X@@ -21,5 +21,5 @@
X 
X # in libdir variable must be path to libraries
X # libclntsh.*,libnlsrtl3.*
X-#[compiler]
X-#libdir=/usr/local/oracle8cli/lib
X+[compiler]
X+libdir=/usr/local/oracle8cli/lib
END-of-fpc-oracle/files/patch-share::src::fpc-1.0.10::packages::base::oracle::Makefile.fpc
exit
How-To-Repeat: 	N/A
Comment 1 Clement Laforet freebsd_committer 2004-01-16 20:02:19 UTC
Class Changed
From-To: maintainer-update->change-request

Fix class.
Comment 2 Pav Lucistnik freebsd_committer 2004-02-26 14:57:25 UTC
State Changed
From-To: open->closed

New port added, thanks!